Bug 177534 - net-im/pidgin fails to build if net-im/libpurple was built without gstreamer support
Summary: net-im/pidgin fails to build if net-im/libpurple was built without gstreamer ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-01 07:10 UTC by deeptech71@gmail.com
Modified: 2013-04-29 00:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description deeptech71@gmail.com 2013-04-01 07:10:00 UTC
If the GSTREAMER and VV options in net-im/libpurple are disabled, then the farsight library does not get installed. Despite this, net-im/pidgin still tries to link against "libgstfarsight.a", which does not necessarily exist in this case, thus hitting a compilation error.

How-To-Repeat: 1. Run ``make config'' for net-im/libpurple and uncheck the GSTREAMER and VV options.
2. Make sure you do not have net-im/farsight2 installed. If necessary to remove libpurple's dependency on gstreamer and farsight, first rebuild and reinstall libpurple with the options just set.
3. Try to build net-im/pidgin.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-01 07:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2013-04-28 23:45:51 UTC
State Changed
From-To: open->suspended
Comment 3 Joe Marcus Clarke freebsd_committer 2013-04-28 23:53:24 UTC
State Changed
From-To: suspended->closed

I think I've fixed this by linking all the options files to libpurple.
Comment 4 dfilter service freebsd_committer 2013-04-28 23:53:28 UTC
Author: marcus
Date: Sun Apr 28 22:53:20 2013
New Revision: 316766
URL: http://svnweb.freebsd.org/changeset/ports/316766

Log:
  Hardcode OPTIONSFILE across all slave ports to prevent disperate options
  per frontend.
  
  PR:		177534

Modified:
  head/net-im/libpurple/Makefile

Modified: head/net-im/libpurple/Makefile
==============================================================================
--- head/net-im/libpurple/Makefile	Sun Apr 28 22:44:46 2013	(r316765)
+++ head/net-im/libpurple/Makefile	Sun Apr 28 22:53:20 2013	(r316766)
@@ -76,6 +76,8 @@ OPTIONS+=	GTKSPELL "Spell checking suppo
 		CAP "Enable Contact Availability Prediction plugin" on
 .endif
 
+OPTIONSFILE=	${PORT_DBDIR}/${UNIQUENAME}/options
+
 CONFIGURE_ARGS+=--disable-doxygen
 
 .include <bsd.port.options.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"